
:root{
    --main-color: #FAB519;

    --dark-color: #887037;
}


body{
    display: grid;
    grid-template-columns: 2fr 1fr;

    /* background: url(../pic/try.png);
    background-size: cover;
        /* background-size: 45%;
        background-repeat: no-repeat;
        background-position: center;
        background-position-y: -40%; */ 

        background-color: black;
        
}

h2{
    margin-top: 5%;
}

.active{
    z-index: 3;
}

/* This class targets the main white container box of the alert */
    .my-swal-popup {
        border: 3px solid var(--main-color); /* Example border: 5px thick, solid, green color */
        /* Optional: you can customize border radius too */
        border-radius: 20px;
    }
.adminView{
    display: grid;
    border: 2px solid var(--main-color);
    width: 85%;
    margin-top: 5%;
    height: 91vh;
}

.side{
    position: fixed;
    right: 40px;
    top: 7%;
    width: 35%;
    height: 90vh;
}

.side .buttons{
    height: 90vh;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    margin-bottom: 30px;
    align-items: center;
    justify-content: center;
    position: absolute;
    background: black;
    padding-bottom: 3%;
    overflow: hidden;
}


.side .buttons button{
    padding-top: 5%;
    padding-bottom: 5%;
    width: 200px;
    border: var(--main-color) 2px solid;
    border-radius: 5%;
    font-size: 20px;
    color: var(--main-color);
    background: black;
}

.side .buttons button:hover{
    background: var(--main-color);
    color: white;
    cursor: pointer;
    transition: 200ms;
}


.forms{
    border: var(--main-color) 3px solid;
    background: black;
    height: 78vh;
    position: absolute;
    top: 125px;
    width: 99%;
}

  .forms{
    color: var(--main-color);
  }

  .forms > div{
    display: none;
  }

  .forms input, .forms select, .forms textarea{
    width: 80%;
    padding: 4%;
    font-size: 15px;
    background: transparent;
    border-radius: 2%;
    border: var(--main-color) 1px solid;
    
    color: var(--main-color);
  }

  .newF{
    margin: 5%;
    display: none;
    position: relative;
  }
  
  .newF form {
      display: grid;
      justify-items: center;
  }
        .newF .info{
            display: grid;
            grid-template-columns: 1fr 1fr;
            gap: 30px;
            justify-items: center;
        }

        .newF .info > div{
            display: grid;
            gap: 10px;
            flex-direction: column;
            font-size: 22px;
            width: 100%;
        }

        .quest{
            display: flex;
            align-items: center;
        }


    .stores{
     display: grid;
     justify-self: center;
     grid-template-columns: 1fr 1fr 1fr;
     align-items: center;
     justify-items: center;
     width: 80%;
    }

        .stores > div{
            display: grid;
            gap: 10px;
            flex-direction: column;
            font-size: 22px;
            width: 100%;
        }

    .stores input[type="number"]{
        width: 50%;
        padding: 2%;
    }

    .closeNewF{
        position: absolute;
        top: -10px;
        right: -10px;
        cursor: pointer;
    }

    .closeNewF:hover{
        transform: scale(1.2);
        transition: 200ms;
    }

    .newF button[type="submit"], .newF button[type="reset"]{
       padding: 2%;
       background: transparent;
       border: var(--main-color) 2px solid;
       border-radius: 5%;
       color: var(--main-color);
       width: 30%;
       margin-top: 7%;
    }

    .addBTN{
        display: flex;
        gap: 20px;
        justify-content: center;
        width: 100%;
    }

    .newF button[type="submit"]:hover, .newF button[type="reset"]:hover{
        background: var(--main-color);
        color: white;
        cursor: pointer;
        transition: 200ms;
    }

    .ropeForm {
        grid-template-columns: 1fr;
        padding-top: 5%;
        justify-items: center;
        align-items: center;
    }

    .ropeForm > div{
        display: grid;
        grid-template-columns: 1.5fr 1fr;
        font-size: 25px;
        width: 75%;
        padding: 1%;
        margin-top: 3%;
    }

    .ropeForm input{
        padding: 4%;
        font-size: 15px;
        background: transparent;

        border-radius: 2%;
        width: 72%;
        border: none;
        border-bottom : var(--main-color) 1px solid;
        color: var(--main-color);
    }

   input[type="checkbox"]{
       accent-color: var(--main-color);

    }

    .ropeForm button{
       padding: 2%;
       background: transparent;
       border: var(--main-color) 2px solid;
       border-radius: 5%;
       color: var(--main-color);
       width: 30%;
       margin-top: 15%;
    }

    .ropeForm button:hover{
        background: var(--main-color);
        color: white;
        cursor: pointer;
        transition: 200ms;
    }

    .ropeOutput{
        padding-top: 5%;
    }

        .ropeOutput h1, .ropeOutput h4{
            line-height: 10px;
            text-align: center;
        }

        .resultsContainer{
            display: grid;
            grid-template-columns: 1fr 1fr;
            gap: 20px;
            padding-top: 10%;
            justify-items: center;
        }

        .resultsContainer div{
            display: grid;
            gap: 10px;
            flex-direction: column;
            font-size: 18px;
            width: 100%;
            padding-left: 15%;
        }

        .resultsContainer input{
            width: 70%;
            padding: 4%;
            padding-left: 2%;
            font-size: 15px;
            background: transparent;
            border-radius: 2%;
            border: none;
            border-bottom: var(--main-color) 1px solid;
            color: var(--main-color);
        }

        .resultsContainer input::placeholder{
            color: var(--main-color);
        }

        .resultsContainer button{
            padding: 4%;
            background: transparent;
            border: var(--main-color) 2px solid;
            border-radius: 5%;
            color: var(--main-color);
            width: 40%;
            margin-top: 10%;
        }

        .resultsContainer button:hover{
            background: var(--main-color);
            color: white;
            cursor: pointer;
            transition: 200ms;
        }

    .addInventory{
        display: grid;
        justify-items: center;
        align-items: center;
        grid-template-columns: 1fr;
        padding-top: 5%;

        text-align: center;
    }

    .addInventory > div{
        font-size: 25px;
        width: 100%;
        height: 100%;
        padding: 1%;
        margin-top: 3%;
    }

    .addInventory button{
       padding: 1%;
       background: transparent;
       border: var(--main-color) 2px solid;
       border-radius: 5%;
       color: var(--main-color);
       width: 30%;
       margin-top: 5%;
    }

    .addInventory button:hover{
        background: var(--main-color);
        color: white;
        cursor: pointer;
        transition: 200ms;
    }

    .loading{
       position: absolute;
       background: rgba(0, 0, 0, 0.5);
       width: 100%;
       height: 100%;
       display: grid;
       align-items: center;
       justify-content: center;
       top: 0;
       left: 0;
       /* transform: translateY(-50%) translateX(-50%); */
    }

    .closeRF {
        position: absolute;
        top: 0px;
        right: 0px;
        cursor: pointer;
    }
    .closeRO{
        position: absolute;
        top: 10px;
        right: 10px;
        cursor: pointer;
    }

   @media  (max-width: 1600px) {

    .adminView{
        height: 80vh;
    }

        .side{
            position: absolute;
            width: 40%;
            right: 5px;
            height: 80vh;
        }
        .side .buttons{
            height: 80vh;
        }
        .forms{
            top: 0px;
            height: 80vh;
        }

    }

                .spinner {
              transform-origin: 50% 50%;
              animation: spin 1s linear infinite;
            }

            @keyframes spin {
              to {
                transform: rotate(360deg);
              }
            }

/* #region chain hoist */

.chainHoist{
    display: grid;
    justify-items: center;
}

.closeChain{
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
}

.table {
    height: 60vh;
    width: 100%;
    overflow-y: auto;
    scrollbar-width: none;        /* Firefox */
}
.table::-webkit-scrollbar {
    display: none;                /* Chrome, Safari, Opera */
}



.chainHoist table{
    width: 90%;
    margin: 5% auto;
    border-collapse: collapse;
    color: var(--main-color);
}

.chainHoist th{
    background-color: #887037;
    color: black;
}

.chainHoist th, .chainHoist td{
    border: 1px solid var(--main-color);
    padding: 10px;
    text-align: center;
}

.chainHoist button{
    padding: 2% 3%;
    background-color: transparent;
    border: var(--main-color) 2px solid;
    border-radius: 5px;
    color: var(--main-color);
    cursor: pointer;
}

.chainHoist button:hover{
    background-color: var(--main-color);
    color: white;
}


/* #endregion chain hoist */







